# pandas.core.style.Styler.bar

`Styler.``bar`(subset=None, axis=0, color='#d65f5f', width=100)

  Color the background `color` proptional to the values in each column. Excludes non-numeric data by default.

  New in version 0.17.1.

  Parameters:

  subset: IndexSlice, default None

  > a valid slice for `data` to limit the style application to

  axis: int

  color: str

  width: float

  > A number between 0 or 100. The largest value will cover `width` percent of the cell’s width

  Returns: | self